body {
  font-family: "Poppins", sans-serif;
  line-height: 24px;
  font-weight: 400;
  color: White;
  background-image: url("endless-constellation1.svg");
  background-color: #12121A;

  background-repeat: repeat-x ; /* Repeats horizontally */
  background-size: 80%;


  overflow-x: hidden;
  z-index: 0;
}

canvas {

  width: 70vmin;
  height: 70vmin;
}

.frontainer {
  display: flex;
}

.left-block {
  width: 65%;
  height: 100%;
}

h2{
    display: block;
    font-size: 1.5em;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}

h4 {
    display: block;
    margin-block-start: 1.33em;
    margin-block-end: 1.33em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}

.cookie-popup {
  position: fixed;
  bottom: 20px;
  left: 20px;
  width: 300px;
  background: #1e2533;
  color: white;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0,0,0,0.6);
  padding: 15px;
  z-index: 9999;
  display: none;
  animation: fadeIn 0.5s ease;
}

.cookie-popup button {
  background-color: #28a745;
  color: white;
  border: none;
  padding: 4px 15px;
  border-radius: 5px;
  cursor: pointer;
  margin-top: 10px;
  font-size: 14px;
  font-weight: 600;
}

.cookie-popup p {
  font-size: 14px;
  margin: 8px 0 0;
}
.nofont-size{
    font-size: unset;
}

.right-block {
  width: 30%;
  height: 100%;
  display: flex;
  justify-content: center;
  /* Center content horizontally */
  align-items: center;
  /* Center content vertically */
  margin-top: 30px;
  margin-left: -20px;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  visibility: hidden;
  /* Ensures the button is fully hidden before animation */
  /* Animation */
  animation: fadeInUp 0.8s ease-out forwards;
  animation-delay: 1.805s;
}
.headerh1{
    max-width: 700px;
}
@media (min-width: 968px) {
  .section {
    transform: translateY(-8px);
  }

  .color {
    font-size: 32px;
  }
}

@media (max-width: 968px) {

  .frontainer {
    display: flex;
    flex-direction: column-reverse;
    /* Right block appears first */
    flex-wrap: wrap;
    /* Ensures responsiveness */
  }

  .left-block,
  .right-block {
    width: 100%;
    height: auto;
    margin-left: 0px;
    transform: translateY(-50px);
  }

  canvas {
    transform: translateY(-30px);
    width: 50vmin;
    height: 50vmin;
  }
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 90%;
  /* Ensure the container takes up the full width */
}

h1 {
  font-size: 42px;
  line-height: 1.2;
  font-weight: 700;
  color: #4dfe3e;
  text-align: center;
}

h5 {
  margin-bottom: 7px;
  font-size: 18px;
  line-height: 0.6;
  font-weight: 400;
  color: white;
  text-align: center;
}

h1 span {
  display: inline-block;
  transition: all 1120ms linear;
  opacity: 1;
  transition-delay: 0.9s;

}

p {
  color: white;
}

h {
  background: #1f1f2ee3;
  font-weight: 400;
  font-size: 15px;
  color: white;
}

.trust img {
  width: 18px;
  margin: -2px;
}

.trust {
  display: inline-block;
  justify-content: center;
  align-items: center;
  text-align: center;
  transform: translate(0);
  transition: all 300ms linear;
  transition-delay: 2250ms;
  padding: 10px 15px;
  border-radius: 8px;
  opacity: 1;
}

body.hero-anime h {
  opacity: 0;
  transform: translateY(40px);
}



/* Animation */
body.hero-anime h1 span {
  opacity: 0;
  transform: translateY(-30px);
}


.color {
  color: white;
}

.buttons-container {
  display: flex;
  justify-content: center;
  gap: 16px;
  /* Space between buttons */
  margin-top: 20px;
}

.coins-btn img,
.process-btn img {
  width: 20px;
  height: 20px;
  margin-right: 8px;
  filter: invert(1);
}

@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(100px) scale(0.8);
    visibility: hidden;
  }

  100% {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

.coins-btn,
.process-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: relative;
  left: 0;
  width: 140px;
  padding: 14px;
  font-size: 18px;
  line-height: 1.2;
  font-weight: 700;
  color: white;
  border: solid 2px #4dfe3e;
  background: none;
  border-radius: 30px;
  margin-top: -10px;
  z-index: 10;
  /* Initial state to prevent flickering */
  opacity: 0;
  visibility: hidden;
  /* Ensures the button is fully hidden before animation */
  transform: translateY(100px) scale(0.8);
  /* Animation */
  animation: fadeInUp 0.8s ease-out forwards;
  animation-delay: 3.15s;
}

/* When the body or a parent class is loaded, make it visible */
.body-loaded .coins-btn {
  opacity: 0.99;
  transform: translateY(0) scale(1);
  text-decoration: none;
  /* Remove underline */
}

.body-loaded .process-btn {
  opacity: 0.99;
  transform: translateY(0) scale(1);
}

.process-btn {
  background: none;
  color: white;
  border: solid 0px;
  border-color: grey;
}

/* Hover effect */
.coins-btn:hover {
  background: #4dfe3e;
  color: #0a0c0e;
}

.process-btn:hover {
  color: #4dfe3e;
}

.coins-btn:hover img {
  filter: none;
  /* Remove the filter on hover */
}

/* Remove delay when the mouse leaves */
.coins-btn:not(:hover) {
  transition-delay: 0s;
  /* Ensures smooth return */
}

.process-btn:not(:hover) {
  transition-delay: 0s;
  /* Ensures smooth return */
}

.symbol {
  color: white;
  opacity: 0.7;
  word-spacing: 12px;
  /* Adjust this value to increase or decrease the space */
  font-size: 20px;
  line-height: 1.82;
}

@media (max-width: 768px) {
  .container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 85%;
    /* Ensure the container takes up the full width */
  }

  h1 {
    font-size: 30px;
    line-height: 1.3;
    font-weight: 700;
    color: #4dfe3e;
    text-align: center;
  }

  h5 {
    margin-bottom: 7px;
    font-size: 14px;
    line-height: 0.6;
    font-weight: 400;

    color: white;
    text-align: center;
  }

  .buttons-container {
    margin-top: 32px;
    gap: 10px !important;
  }

}

@media (max-width: 468px) {
  .container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 88%;
    /* Ensure the container takes up the full width */
    z-index: 0;
  }

  h1 {
    font-size: 24px;

  }

  h5 {
    margin-bottom: 7px;
    font-size: 12px;
    line-height: 0.6;
    font-weight: 400;

    color: white;
    text-align: center;
  }

  h {
    font-size: 12px;
  }

  canvas {
    width: 35vmin;
    height: 35vmin;
  }

  .buttons-container {
    margin-top: 30px;
    gap: 4px !important;
  }

  .coins-btn,
  .process-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
    left: 0;
    width: 110px;

    padding: 8px;
    font-size: 12px;
  }

  .coins-btn {
    width: 90px !important;

  }

  .trust img {
    width: 15px;
    margin: -2px;
  }

  .trust {
    padding: 7px 12px;
    border-radius: 8px;
    opacity: 1;
  }
}


.net {
  color: White;
}

.right-block {
  position: relative;
}

@keyframes fadecoins {

  0%,
  100% {
    opacity: 0.2;
  }

  50% {
    opacity: 0.6;
  }
}





#why-choose-us {
  width: 100%;
  background: linear-gradient(to bottom, #0a0c0e 10%, #12121A 90%);
  padding: 60px 0;
}

.fade-in-section,
.why-item {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
  will-change: opacity, transform;
  /* Optimize for smooth animation */
}

.fade-in-section.visible,
.why-item.visible {
  opacity: 1;
  transform: translateY(0);
}

.cointainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 25px;
  max-width: 75%;
  margin: 0 auto;
  padding: 0 20px;
}

.why-item {
  display: flex;
  align-items: center;
  width: 45%;
}



.why-icon {
  width: 60px;
  height: 60px;
  margin-right: 15px;
  filter: invert(0.0);
}

.why-text {
  flex: 1;
}

.why-text h3 {
  font-size: 20px;
  font-weight: bold;
  color: #fff;
  margin-bottom: 5px;
}

.why-text p {
  font-size: 16px;
  color: #ddd;
  margin: 0;
}
@media (max-width: 968px) {
    body {
        background-size: 120%;
    }
}
@media (max-width: 768px) {
    body {
        background-size: 170%;
    }
}
@media (max-width: 600px) {
    body {
        background-size: 190%;
    }
}
/* Mobile layout adjustments */
@media (max-width: 768px) {
  .cointainer {
    flex-direction: column;
    gap: 20px;
    max-width: 85%;
    padding: 0 0px;
    transform: translateY(-10px);
  }

  .why-item {
    width: 100%;
    flex-direction: row-reverse;
  }

  .why-text p {
    font-size: 12px;
    color: #ddd;
    margin: 0;
  }

  .why-icon {
    margin-right: 0;
    margin-left: 18px;
  }
}

/* Fade-in animation when visible */


/* Adding delay for each block */
.why-item:nth-child(1) {
  transition-delay: 0.1s;
}

.why-item:nth-child(2) {
  transition-delay: 0.1s;
}

.why-item:nth-child(3) {
  transition-delay: 0.1s;
}

.why-item:nth-child(4) {
  transition-delay: 0.1s;
}

.why-item:nth-child(5) {
  transition-delay: 0.1s;
}

.why-item:nth-child(6) {
  transition-delay: 0.1s;
}






.angled-frame {
  background-size: 75%;
  box-shadow: 0 5px 10px -5px rgba(0, 255, 0, 0.5);
  /* Bottom shadow with Trustpilot color */
  padding: 20px;
  display: inline-block;
  margin: 0px;
  border-radius: 50px;
  font-family: 'Poppins';

}


/* Reviews---------------------------------------*/

.review-section {

  text-align: center;
  padding: 60px;
  background-color:  #0a0c0e84;
  /* Dark mode */
  color: #ffffff;
  border: 1px solid #4dfe3e;
  transform: translateY(-20px);
  border-radius: 30px;
  max-width: 80%;
  margin: 20px auto;
}

.review-section:hover {
  box-shadow: 0 0px 15px rgba(0, 182, 122, 1);
}

.review-subtext {
  font-size: 1.2em;
  margin-bottom: 20px;
  color: #cccccc;
}

#reviewsContainer {
  display: grid;
  grid-template-columns: 1fr;
  /* Default to one column */
  gap: 15px;
  padding: 0px;
}



.review-card {
  transform: scale(0.96);
  /* Slightly reduces the size */
  margin: 0px;
  /* Ensures space between cards */
}


.review-card {
  transform: scale(0.96);
  /* Slightly reduces the size */
  margin: 0px;
  /* Ensures space between cards */
  margin-top: -5px;
  /* Moves the cards 20px upward */
  background-color: #1f1f2ed6;
  color: white;

  padding: 10px;
  border-radius: 15px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  text-align: center;
  align-items: center;
  justify-content: center;
  /* Horizontal centering */
  flex: 0 0 calc(33.33% - 15px);
  /* Adjust based on gap */
  scroll-snap-align: start;
  animation: fadeInZoom 1s forwards;
  /* Apply the animation */
  border: 1px solid #28a745;
  box-shadow: 0 0 6px rgba(0, 255, 0, 0.5);
}

.nobooth3{
    display: block;
    font-size: 1.17em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}

.review-card c {
  font-size: 12px;
}

.review-card c:hover {
  color: #4dfe3e;
}

.review-card a {
  font-size: 15px;

  text-decoration: none;
  color: white;
}

.review-card img {
  max-width: 100%;
  border-radius: 10px;
}

.review-card:hover {
  transform: scale(1.05);
  box-shadow: 0 0 10px rgba(0, 255, 0, 0.8);
}



.trustpilot-button {
  display: inline-block;
  background-color: #00b67a;
  /* Green color */
  color: #1a1a1a;
  /* Dark text for contrast */
  padding: 10px 20px;
  font-size: 1em;
  font-weight: bold;
  text-decoration: none;
  border-radius: 10px;
  transition: 0.3s ease-in-out;
  margin-bottom: 20px;
  box-shadow: 0 0 4px rgba(0, 255, 0, 0.5);
  position: relative;
  top: -25px;
  /* Adjust this value as needed */
}

.trustpilot-button:hover {
  background-color: #4dfe3e;
  /* Darker green */
  color: #1a1a1a;
  box-shadow: 0 0 5px rgba(0, 255, 0, 0.8);
  transform: scale(1.05);


}

/* Icon Styling */
.trustpilot-butto img {
  width: 20px;
  /* Adjust size */
  height: auto;
  padding: 0px 0px;
  margin: 1px;
  position: relative;
  top: -25px;
  /* Adjust this value as needed */

}
 .giveaway-block {
    display: flex
;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
}
.xblock {
  width: 88%;
  display: inline-block ;
  border-radius: 30px ;
  text-align: center;
  align-items: center;
  background: #0a0c0ea9;
  padding: 20px;

}


.xblo {
  padding: 10px 0px;
  text-align: center;
  align-items: center;


}




.slider-bottom {
  position: relative;
  align-items: center;
  justify-content: center;
  max-width: 95%;
  overflow: hidden;
  /* Hides any scrollbar */
  margin: 10px auto;
  transform: translateY(-20px);

}


.slider-wrapper {
  position: relative;
  align-items: center;
  justify-content: center;
  max-width: 100%;
  overflow: hidden;
  /* Hides any scrollbar */
  margin: 10px auto;
}

/* Slider container adjustments */
.reviews-slider {
  display: flex;
  max-width: 100%;
  align-items: center;
  gap: 15px;
  overflow-x: auto;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  padding: 20px;
  justify-content: center;
  /* Center the review cards horizontally */
}



/* Hide scrollbar for Webkit browsers */
.reviews-slider::-webkit-scrollbar {
  display: flex;
  gap: 15px;
  overflow-x: hidden;
  /* Hide any scrollbar */
  scroll-behavior: smooth;
}

/* Arrow Buttons */
.slider-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 182, 122, 0.8);
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  cursor: pointer;
  z-index: 10;
  box-sizing: border-box!important;
}

.slider-arrow.left {
  left: 10px;
}

.slider-arrow.right {
  right: 10px;
}

.slider-arrow:hover {
  background-color: rgba(0, 182, 122, 1);
}

/* Hover effect for review cards */
.review-card:hover {
  transform: scale(1.05);
  box-shadow: 0 0 10px rgba(0, 255, 0, 0.8);
}



.follow-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #0a0c0e;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-size: 16px;
  text-align: center;
  margin-top: 5px;
  /* Adjust this value to position the button lower */
  transition: background-color 0.3s ease;
  /* Smooth transition for hover effect */
  border: 2px solid #4dfe3e;
  border-radius: 25px;
}

.follow-button:hover {
  font-weight: bold;
  background-color: #4dfe3e;
  color: black;

  /* Change color on hover */
}








/* On mobile, display one card at a time */
@media (max-width: 768px) {
  .review-card {
    flex: 0 0 100%;
  }

@media (max-width: 358px) {
    body {
        background-size: 220%;
    }
}
  /* Using pointer and hover media queries for devices that don't support hover */
  @media (hover: none) and (pointer: coarse) {
    .review-card:hover {
      transform: none;
      box-shadow: none;
    }
  }

  /* Alternatively, targeting screen width (e.g., mobile devices) */
  @media screen and (max-width: 768px) {
    .review-card:hover {
      transform: none;
      box-shadow: none;
    }
  }


  @media screen and (min-width: 769px) {
    .review-card {
      flex: 0 0 calc(33.33% - 45px);
      /* three cards per view */
      transform: scale(0.75);
      transform-origin: center center;
      /* scale from center */
      transition: transform 0.3s ease, box-shadow 0.3s ease;
      margin: 0 auto;
      /* center the card in its flex item */
      scroll-snap-align: center;

    }

    .review-card:hover {
      transform: scale(1);
      box-shadow: 0 0 10px rgba(0, 255, 0, 0.8);
    }
  }

  /* Mobile: show one card per view and scale down further */

  .review-section {
    padding: 0px;
  }

  .review-section .text-content {
    padding: 22px;
    /* Apply padding only to text elements */
  }

  .slider-wrapper {
    margin-top: -20px
  }

  .trustpilot-button {
    display: inline-block;
    background-color: #00b67a;
    /* Green color */
    color: #1a1a1a;
    /* Dark text for contrast */
    padding: 6px 16px;
    font-size: 0.7em;
  }

  .review-card {
    flex: 0 0 100%;
    /* one card per view */
    transform: scale(0.9);
    transform-origin: center center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    margin: 0 auto;
    scroll-snap-align: center;
    margin-top: -25px;
    /* Moves the cards 20px upward */

  }

  /* Disable hover effects on mobile */
  .review-card:hover {
    transform: scale(0.9);
    box-shadow: 0 0 6px rgba(0, 255, 0, 0.5);
  }

  .review-subtext {
    font-size: 14px;
    margin-bottom: 20px;
  }
}


@media (max-width: 468px) {
  .review-subtext {
    font-size: 12px;
  }

  .text-content h1 {
    font-size: 20px;
  }
}

.content-container {
    width: 90%;
    margin: auto;
    padding: 10px;
    transform: translateY(-20px);
    opacity: 0.9;
}
.content-section {
    background-color: #0a0c0e;
    border-radius: 20px;
    padding: 30px;
    margin-top: 0px;
}
.content-title{
    font-size: 28px;
    font-weight: bold;
    color: #4dfe3e;
    text-align: center;
    margin-bottom: 20px;
}
.textaa {
    font-size: 14px;
    color: #ffffffbb;
}
.textaaa {
    font-size: 14px;
}
.textaa p{
    font-size: 14px;
    color: #ffffffbb;
}
.textapaddinh{
    padding-top: 22px;
}
@media (max-width: 458px) {
    .content-title {
        font-size: 16px;
    }
}
@media (max-width: 458px) {
    .text {
        font-size: 11px;
        line-height: 20px;
    }
    .text p{
        font-size: 11px;
        line-height: 20px;
    }
    .cookie-popup {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: 66%;
        
    }
}